### Constructor

# GimpUi EnumStore new_with_values

since: 2.4

#### Declaration [src]

    GtkListStore*
    gimp_enum_store_new_with_values (
      GType enum_type,
      gint n_values,
      ...
    )

#### Description [src]

Creates a new `GimpEnumStore` like `gimp_enum_store_new()` but allows to explicitly list the enum values that should be added to the store.

Available since: 2.4

This constructor is not directly available to language bindings.

#### Parameters

`enum_type`

  Type: `GType`

  The `GType` of an enum.

`n_values`

  Type: `gint`

  The number of enum values to include.

`...`

  Type: ``

  A list of enum values (exactly `n_values`).

#### Return value

Type: `GtkListStore`

A new `GimpEnumStore`.

The caller of the function takes ownership of the data, and is responsible for freeing it.